Skip to content
Navigation

Pages the store's webhook endpoints.

GET
https://api.sherpo.io/merchant/v1/stores/{store}/webhooks

Authorization

  • bearer
    HTTP
    required

Path parameters

  • store
    string
    required

    The store's id.

Query parameters

  • filter
    optional
    object

    filter[<field>]=<value> is an equality, filter[<field>][<op>]=<value> names the operator; in repeats the parameter.

  • sort
    optional
    created
  • direction
    optional
    asc
    or
    desc
  • limit
    optional
    integer
    maximum: 100 · minimum: 1
  • cursor
    optional
    string
    maxLength: 8192
  • count
    optional
    boolean
  • search
    optional
    string
    maxLength: 200 · minLength: 1

Returns

200

Pages the store's webhook endpoints.

JSON
  • items
    array of
    object
    required
    • id
      string
      required
    • url
      string
      required
    • description
      required

      One of the following:

      • string
      • null
    • events
      array of
      string
      required
    • enabled
      boolean
      required
    • connection_ended_at
      required

      When it was turned off because the connection that set it up ended.

      One of the following:

      • string
      • null
    • created_at
      string
      required
    • updated_at
      string
      required
  • cursor
    required

    One of the following:

    • string
    • null
  • total
    optional
    number
  • facets
    optional
    map of
    map<number>
JSON
  • type
    string
    required
    format: uri
  • title
    string
    required
  • status
    integer
    required
  • detail
    string
    required
  • code
    optional
    string
  • context
    optional
    object
  • reached_core
    optional
    boolean
  • core_answer
    optional
    string

Type to search…

↑↓ navigate↵ selectEsc close